Package: org.codehaus.groovy.control

## [Java] Class Janitor

- org.codehaus.groovy.control.Janitor

- All Implemented Interfaces and Traits:
    HasCleanup

      public class Janitor
      extends Object

  An agent that can be used to defer cleanup operations to a later time. Users much implement the HasCleanup interface.

  Authors:
    Chris Poirier

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `cleanup()`
    `` | `void` | `register(HasCleanup object)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### public void cleanup()

    - #### public void register(HasCleanup object)